Bug 1118647 - [abrt] libreoffice-core: std::_Rb_tree<writerfilter::dmapper::PropertyIds, std::pair<writerfilter::dmapper::PropertyIds const, writerfilter::dmapper::PropValue>, std::_Select1st<std::pair<writerfilter::dmapper::PropertyIds const, writerfilter::dmapper:...
Summary: [abrt] libreoffice-core: std::_Rb_tree<writerfilter::dmapper::PropertyIds, st...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libreoffice
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:d647e79132292acd5385133a882...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-11 08:33 UTC by Roman
Modified: 2014-08-07 14:59 UTC (History)
7 users (show)

Fixed In Version: libreoffice-4.2.6.2-1.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-07 14:59:14 UTC


Attachments (Terms of Use)
File: backtrace (66.08 KB, text/plain)
2014-07-11 08:33 UTC, Roman
no flags Details
File: cgroup (180 bytes, text/plain)
2014-07-11 08:33 UTC, Roman
no flags Details
File: core_backtrace (43.60 KB, text/plain)
2014-07-11 08:33 UTC, Roman
no flags Details
File: dso_list (20.25 KB, text/plain)
2014-07-11 08:33 UTC, Roman
no flags Details
File: environ (3.43 KB, text/plain)
2014-07-11 08:33 UTC, Roman
no flags Details
File: exploitable (82 bytes, text/plain)
2014-07-11 08:33 UTC, Roman
no flags Details
File: limits (1.29 KB, text/plain)
2014-07-11 08:33 UTC, Roman
no flags Details
File: maps (97.14 KB, text/plain)
2014-07-11 08:33 UTC, Roman
no flags Details
File: open_fds (523 bytes, text/plain)
2014-07-11 08:33 UTC, Roman
no flags Details
File: proc_pid_status (947 bytes, text/plain)
2014-07-11 08:33 UTC, Roman
no flags Details
File: var_log_messages (1.04 KB, text/plain)
2014-07-11 08:33 UTC, Roman
no flags Details

Description Roman 2014-07-11 08:33:30 UTC
Description of problem:
Writer crashes on document opening.

Version-Release number of selected component:
libreoffice-core-4.2.5.2-1.fc20

Additional info:
reporter:       libreport-2.2.2
backtrace_rating: 4
cmdline:        /usr/lib64/libreoffice/program/soffice.bin --writer --splash-pipe=5
crash_function: std::_Rb_tree<writerfilter::dmapper::PropertyIds, std::pair<writerfilter::dmapper::PropertyIds const, writerfilter::dmapper::PropValue>, std::_Select1st<std::pair<writerfilter::dmapper::PropertyIds const, writerfilter::dmapper::PropValue> >, std::less<writerfilter::dmapper::PropertyIds>, std::allocator<std::pair<writerfilter::dmapper::PropertyIds const, writerfilter::dmapper::PropValue> > >::find(writerfilter::dmapper::PropertyIds const&) const
executable:     /usr/lib64/libreoffice/program/soffice.bin
kernel:         3.15.3-200.fc20.x86_64
runlevel:       N 3
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 std::_Rb_tree<writerfilter::dmapper::PropertyIds, std::pair<writerfilter::dmapper::PropertyIds const, writerfilter::dmapper::PropValue>, std::_Select1st<std::pair<writerfilter::dmapper::PropertyIds const, writerfilter::dmapper::PropValue> >, std::less<writerfilter::dmapper::PropertyIds>, std::allocator<std::pair<writerfilter::dmapper::PropertyIds const, writerfilter::dmapper::PropValue> > >::find(writerfilter::dmapper::PropertyIds const&) const at /usr/lib64/libreoffice/program/../program/libwriterfilterlo.so
 #1 writerfilter::dmapper::DomainMapper::sprmWithProps(writerfilter::Sprm&, boost::shared_ptr<writerfilter::dmapper::PropertyMap>, writerfilter::dmapper::SprmType) at /usr/lib64/libreoffice/program/../program/libwriterfilterlo.so
 #2 writerfilter::dmapper::DomainMapper::lcl_sprm(writerfilter::Sprm&) at /usr/lib64/libreoffice/program/../program/libwriterfilterlo.so
 #3 writerfilter::rtftok::RTFReferenceProperties::resolve(writerfilter::Properties&) at /usr/lib64/libreoffice/program/../program/libwriterfilterlo.so
 #4 writerfilter::dmapper::DomainMapper::lcl_props(boost::shared_ptr<writerfilter::Reference<writerfilter::Properties> >) at /usr/lib64/libreoffice/program/../program/libwriterfilterlo.so
 #5 writerfilter::LoggedStream::props(boost::shared_ptr<writerfilter::Reference<writerfilter::Properties> >) at /usr/lib64/libreoffice/program/../program/libwriterfilterlo.so
 #6 writerfilter::rtftok::RTFDocumentImpl::checkNeedPap() at /usr/lib64/libreoffice/program/../program/libwriterfilterlo.so
 #7 writerfilter::rtftok::RTFDocumentImpl::text(rtl::OUString&) at /usr/lib64/libreoffice/program/../program/libwriterfilterlo.so
 #8 writerfilter::rtftok::RTFDocumentImpl::resolveChars(char) at /usr/lib64/libreoffice/program/../program/libwriterfilterlo.so
 #9 writerfilter::rtftok::RTFTokenizer::resolveParse() at /usr/lib64/libreoffice/program/../program/libwriterfilterlo.so

Comment 1 Roman 2014-07-11 08:33:34 UTC
Created attachment 917265 [details]
File: backtrace

Comment 2 Roman 2014-07-11 08:33:35 UTC
Created attachment 917266 [details]
File: cgroup

Comment 3 Roman 2014-07-11 08:33:37 UTC
Created attachment 917267 [details]
File: core_backtrace

Comment 4 Roman 2014-07-11 08:33:39 UTC
Created attachment 917268 [details]
File: dso_list

Comment 5 Roman 2014-07-11 08:33:40 UTC
Created attachment 917269 [details]
File: environ

Comment 6 Roman 2014-07-11 08:33:41 UTC
Created attachment 917270 [details]
File: exploitable

Comment 7 Roman 2014-07-11 08:33:42 UTC
Created attachment 917271 [details]
File: limits

Comment 8 Roman 2014-07-11 08:33:44 UTC
Created attachment 917272 [details]
File: maps

Comment 9 Roman 2014-07-11 08:33:46 UTC
Created attachment 917273 [details]
File: open_fds

Comment 10 Roman 2014-07-11 08:33:47 UTC
Created attachment 917274 [details]
File: proc_pid_status

Comment 11 Roman 2014-07-11 08:33:48 UTC
Created attachment 917275 [details]
File: var_log_messages

Comment 12 David Tardon 2014-07-14 08:09:52 UTC
Could you attach the document here?

Comment 13 Roman 2014-07-15 09:47:13 UTC
That is a commercial document. It's just a system overview witrhout details, but still shouldn't be visible to the whole world.
Is it possible to attach the document so that only assignee can use it for debugging and no one else?

Comment 14 David Tardon 2014-07-16 12:09:04 UTC
If you mark the attachment as private, it will only be visible by people who have access to the bug: the reporter, the assignee, the QA contact and everyone in CC list. If that is still too much for you, you can mail the document to one of us.

Comment 15 Roman 2014-07-25 10:08:24 UTC
(In reply to David Tardon from comment #14)
> ... you can mail the document to one of us.

For the record: I sent the document to your e-mail address, hopefully it reached the destination and you can continue debugging.

Comment 16 David Tardon 2014-08-07 14:59:14 UTC
Does crash with 4.2.5.2, but not with 4.2.6.2.


Note You need to log in before you can comment on or make changes to this bug.